
Redmine - Defect #11966

404 Error when switching mode in view revision differences in non-main repo

2012-09-27 14:35 - Alexander Altynchurin

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 1.4.5   

Resolution: Fixed Affected version: 1.4.4

Description

When I try switch view mode in Revision/View differences window for non-main repo, I get 404 error.

I found that repo id is not included in URL after changing the view differences mode.

Related issues:

Related to Redmine - Defect #11982: SCM diff view generates extra parameter f... Closed

Associated revisions

Revision 10490 - 2012-09-27 18:05 - Toshi MARUYAMA

explicitly define route at scm diff view (#11966)

Revision 10502 - 2012-09-28 05:43 - Toshi MARUYAMA

add functional test of main repository diff path (#11966)

Revision 10503 - 2012-09-28 05:43 - Toshi MARUYAMA

add functional test of sub repository diff path (#11966)

Revision 10506 - 2012-09-28 06:47 - Toshi MARUYAMA

Merged r10490 from trunk to 1.4-stable (#11966)

explicitly define route at scm diff view.

Revision 10507 - 2012-09-28 06:47 - Toshi MARUYAMA

Merged r10502 from trunk to 1.4-stable (#11966)

add functional test of main repository diff path.

Revision 10508 - 2012-09-28 06:48 - Toshi MARUYAMA

Merged r10503 from trunk to 1.4-stable (#11966)

add functional test of sub repository diff path.

Revision 10509 - 2012-09-28 08:37 - Toshi MARUYAMA

Merged r10490 from trunk to 2.1-stable (#11982, #11966)

explicitly define route at scm diff view.

Revision 10510 - 2012-09-28 08:38 - Toshi MARUYAMA

Merged r10502 from trunk to 2.1-stable (#11982, #11966)

add functional test of main repository diff path.

Revision 10511 - 2012-09-28 08:38 - Toshi MARUYAMA

Merged r10503 from trunk to 2.1-stable (#11982, #11966)

add functional test of sub repository diff path.
History

#1 - 2012-09-27 14:54 - Alexander Altynchurin

Probably there is an error in /app/views/repositiories/diff.html.erb in line 4

<% form_tag({:path => to_path_param(@path)}, :method => 'get') do %>

#2 - 2012-09-27 14:58 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Affected version (unused) changed from 1.4.0 to 1.4.4

- Affected version changed from 1.4.0 to 1.4.4

#3 - 2012-09-27 15:09 - Toshi MARUYAMA

- Priority changed from Normal to Low

I confirmed 1.4-stable has this bug.

And trunk r10487 has no bug.

route.rb has changed heavily from Rails2 to Rails3.

Fix the bug of only 1.4-stable is a high cost.

#4 - 2012-09-28 08:12 - Alexander Altynchurin

Associated code changes solve the problem, thank you!

#5 - 2012-09-28 08:29 - Toshi MARUYAMA

- Target version set to 1.4.5

- Resolution set to Fixed

#6 - 2012-09-28 08:29 - Toshi MARUYAMA

- Status changed from Confirmed to Resolved

- Resolution deleted (Fixed)

#7 - 2012-09-30 00:21 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Fixed

Merged in 1.4-stable.
